ggiEventSend(3)

NAME
ggiEventSend : Send commands and events to a LibGGI visual

SYNOPSIS
#include <ggi/ggi.h>
int ggiEventSend(ggi_visual_t vis, gii_event *ev);

DESCRIPTION
ggiEventSend injects an event into the queue.

CONTROLLING VT SWITCHING BEHAVIOR
If an application wants to continue running after its VT is switched away, it should make a call ggiEventSend to the visual with an evCommand event with code GGICMD_NOHALT_ON_UNMAP. To disable this behavior, use a command event with code GGICMD_HALT_ON_UNMAP. The latter is the default.

SEE ALSO
ggiEventPoll(3), giiEventSend(3)